app/Http/routes.php
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the controller to call when that URI is requested.
|
*/



    Route::get('/', 'HomeController@index');

    Route::get('informatorio/guiartec',function(){
        return redirect('http://159.203.5.192/GuiArtec/default/index-html');
    });

    Route::get('informatorio/informarq',function(){
        return redirect('http://159.203.5.192/InformarQ/default/index');
    });
    Route::get('informatorio/chuwal',function(){
        return redirect('http://159.203.5.192/Chuwal/chuInterface/chuHome');
    });
    Route::get('informatorio/brainchaco',function(){
        return redirect('http://159.203.5.192/BrainChaco/default/index');
    });
    Route::get('informatorio/bienall',function(){
        return redirect('http://159.203.5.192/BienAll/default/index');
    });
    Route::get('informatorio/esqltor',function(){
        return redirect('http://159.203.5.192/esQltoR/default/index');
    });


    Route::get('contacto', 'HomeController@contacto');
    Route::get('empresas', 'HomeController@contactoEmpresa');
    Route::post('consulta', ['as' => 'consulta.store', 'uses' => 'HomeController@consulta']);
    Route::get('registro', ['as' => 'registro', 'uses' => 'HomeController@registrarMapa']);
    Route::post('registro', ['as' => 'store.geolocalizacion', 'uses' => 'HomeController@saveGeolocalizacion']);

    Route::group(['prefix' => 'joveneslideres'], function() {

        Route::get('/', 'HomeController@lideres');
        Route::get('financiamiento', 'HomeController@financiamiento');
        Route::get('agenda', 'HomeController@agenda');
        Route::get('inscripcion', 'HomeController@inscripcion');
        Route::get('contacto', 'HomeController@contacto2');



    });


    Route::get('guia/emprendedores', ['as' => 'guia.emprendedores', 'uses' => 'HomeController@emprendedores']);
    Route::get('emprendimiento/{slug}', ['as' => 'guia.emprendimiento', 'uses' => 'HomeController@emprendimiento']);

    Route::get('guia/oficios', ['as' => 'guia.oficios', 'uses' => 'HomeController@oficios']);
    Route::get('blog', ['as' => 'guia.blog', 'uses' => 'BlogController@get']);
    Route::get('blog/post/{slug}', ['as' => 'guia.blog.post', 'uses' => 'BlogController@getPost']);
    Route::get('mapa', 'HomeController@mapaGeolocalizacion');



    Route::auth();

    Route::get('empresa/{id}', ['as' => 'empresa.show', 'uses' => 'HomeController@getInfoEmpresa']);

    Route::get('puesto/{slug}', ['as' => 'puesto.show', 'uses' => 'HomeController@getPuesto']);

    Route::get('postularse/{id}', ['as' => 'postularse', 'uses' => 'PostulantesController@postularse']);


    Route::get('postulantes/cursos', 'PostulantesController@cursos');
    Route::post('postulantes/cursos', ['as' => 'postulantes.store.curso', 'uses' => 'PostulantesController@storeCurso']);

    Route::get('postulantes/cursos/{id}/edit', ['as' => 'postulantes.edit.cursos', 'uses' => 'PostulantesController@editCurso']);
    Route::put('postulantes/cursos/{id}/update/', ['as' => 'postulantes.update.cursos', 'uses' => 'PostulantesController@updateCurso']);


    Route::get('postulantes/experiencias_laborales', 'PostulantesController@experiencia');
    Route::post('postulantes/experiencias_laborales', ['as' => 'postulantes.store.experiencia', 'uses' => 'PostulantesController@storeExperiencia']);

    Route::get('postulantes/experiencias_laborales/{id}/edit', ['as' => 'postulantes.edit.experiencias_laborales', 'uses' => 'PostulantesController@editExperiencia']);
    Route::put('postulantes/experiencias_laborales/{id}/update/', ['as' => 'postulantes.update.experiencias_laborales', 'uses' => 'PostulantesController@updateExperiencia']);


    Route::get('postulantes/educacion', 'PostulantesController@educacion');
    Route::post('postulantes/educacion', ['as' => 'postulantes.store.educacion', 'uses' => 'PostulantesController@storeEducacion']);

    Route::get('postulantes/educacion/{id}/edit', ['as' => 'postulantes.edit.educacion', 'uses' => 'PostulantesController@editEducacion']);
    Route::put('postulantes/educacion/{id}/update/', ['as' => 'postulantes.update.educacion', 'uses' => 'PostulantesController@updateEducacion']);

    Route::get('postulantes', 'PostulantesController@badroute');

    Route::resource('postulantes', 'PostulantesController',['only' => ['create','store','update']]);

    //Route::get('resultados', 'PostulantesController@busquedas');
    Route::post('busquedas/resultados', ['as' => 'busquedas', 'uses' => 'HomeController@busquedas']);
    Route::get('busquedas/resultados', ['as' => 'busquedas', 'uses' => 'HomeController@busquedasGet']);

    Route::get('busquedas/emprendimientos', ['as' => 'busquedas.emprendimientos', 'uses' => 'HomeController@emprendedores']);
    Route::post('busquedas/emprendimientos', ['as' => 'busquedas.emprendimientos', 'uses' => 'HomeController@buscarEmprendimientos']);

    Route::get('busquedas/oficios', ['as' => 'busquedas.oficios', 'uses' => 'HomeController@oficios']);
    Route::post('busquedas/oficios', ['as' => 'busquedas.oficios', 'uses' => 'HomeController@buscarOficios']);
    Route::get('oficios/{id}', ['as' => 'oficio.ver', 'uses' => 'HomeController@getOficio']);


    Route::get('gestion/login', 'UsuariosController@getLogin');
    Route::get('admin', 'UsuariosController@getLogin');
    Route::post('gestion/authenticate', 'UsuariosController@authenticate');

    Route::post('rating', ['as' => 'rating', 'uses' => 'HomeController@rating']);



    Route::group(['prefix' => 'admin','middleware' => 'administrador'], function() {

        Route::get('galeria/delete/{id}/{emp}', ['as' => 'admin.galeria.delete', 'uses' => 'EmprendedoresController@eliminarImagen']);

        Route::post('upload', ['as' => 'upload-post', 'uses' =>'ImageController@postUpload']);
        Route::post('upload/delete', ['as' => 'upload-remove', 'uses' =>'ImageController@deleteUpload']);


        Route::get('dashboard', ['as' => 'admin.dashboard', 'uses' => 'HomeController@dashboard']);

        //mapa
        Route::get('geolocalizacion', ['as' => 'admin.puntos', 'uses' => 'MapasController@index']);
        Route::get('geolocalizacion/{id}/activar', ['as' => 'admin.puntos.activar', 'uses' => 'MapasController@activar']);
        Route::get('geolocalizacion/{id}/eliminar', ['as' => 'admin.puntos.destroy', 'uses' => 'MapasController@destroy']);

        Route::get('categorias-emprendedores/{id}/destroy', ['as' => 'admin.categorias-emprendedores.delete', 'uses' => 'CatEmprendedoresController@destroy']);

        Route::resource('emprendedores', 'EmprendedoresController');
        Route::resource('categorias-emprendedores', 'CatEmprendedoresController');

        Route::get('consultas/{id}/show', ['as' => 'admin.consultas.show', 'uses' => 'UsuariosController@getConsultas']);
        Route::get('oficios/{id}/destroy', ['as' => 'admin.oficios.delete', 'uses' => 'OficiosController@destroy']);
        Route::get('categorias-oficios/{id}/destroy', ['as' => 'admin.categorias-oficios.delete', 'uses' => 'CatOficiosController@destroy']);


        Route::resource('oficios', 'OficiosController');
        Route::resource('categorias-oficios', 'CatOficiosController');


        Route::resource('empresas', 'EmpresasController');
        Route::resource('areas', 'AreasController');
        Route::resource('ofertas', 'OfertasController');
        Route::resource('categorias-oficios', 'CatOficiosController');
        Route::resource('blog', 'BlogController',['only' => ['index','create','store','update','edit','destroy']]);
        Route::get('blog/{id}/destroy', ['as' => 'admin.blog.destroy', 'uses' => 'BlogController@destroy']);


        Route::get('consultas', ['as' => 'admin.consultas', 'uses' => 'HomeController@getConsultas']);
        Route::get('ofertas/{id}/destroy', ['as' => 'admin.ofertas.destroy', 'uses' => 'OfertasController@destroy']);
        Route::get('ofertas/destacar/{id}', ['as' => 'admin.ofertas.destacar', 'uses' => 'OfertasController@destacar']);
        Route::get('ofertas/nodestacar/{id}', ['as' => 'admin.ofertas.nodestacar', 'uses' => 'OfertasController@noDestacar']);

        //gestion de usuarios
        Route::get('usuarios', ['as' => 'admin.usuarios', 'uses' => 'UsuariosController@index']);
        Route::get('usuarios/nuevo', ['as' => 'admin.usuarios.nuevo', 'uses' => 'UsuariosController@crearUsuario']);
        Route::get('usuarios/{id}/edit', ['as' => 'admin.usuarios.edit', 'uses' => 'UsuariosController@edit']);

        Route::post('usuarios/store', ['as' => 'admin.usuarios.store', 'uses' => 'UsuariosController@store']);
        Route::put('usuarios/update/{id}', ['as' => 'admin.usuarios.update', 'uses' => 'UsuariosController@update']);


        Route::get('postulantes', ['as' => 'admin.postulantes', 'uses' => 'PostulantesController@index']);
        Route::get('postulantes/{id}/show', ['as' => 'admin.postulantes.show', 'uses' => 'PostulantesController@show']);
        Route::get('postulantes/{id}/destroy', ['as' => 'admin.postulantes.destroy', 'uses' => 'PostulantesController@destroy']);
        Route::get('postulados', ['as' => 'admin.postulados', 'uses' => 'PostuladosController@index']);

        Route::get('empresas/{id}/destroy', ['as' => 'admin.empresas.destroy', 'uses' => 'EmpresasController@destroy']);
        Route::get('emprendedores/{id}/destroy', ['as' => 'admin.emprendedores.destroy', 'uses' => 'EmprendedoresController@destroy']);

        // agregar localidad y provincia a ofertas
        // hacer vista de oferta
        // arreglar msjs de eventos
        // que hacemos con las imagenes??

        // usuarios vistas desde el back


        // armar postularse a oferta!
        // delete de ofertas, empresas y postulantes
        // select dependientes de provincia y localidad

app/Oferta.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Oferta extends Model
{
    protected $table = 'ofertas';

    protected $dates = ['fecha_inicio'];


    protected $fillable = ['empresa_id','puestos','descripcion_corta','descripcion_larga','modalidad','fecha_inicio','fecha_finalizacion','area_id',
                            'localidad_id','provincia_id','slug','destacar','urgente'];

    public static function cargar($request){


        Oferta::create(['empresa_id'=>$request->empresa_id,'puestos'=>$request->puestos,
            'descripcion_corta'=>$request->descripcion_corta,'descripcion_larga'=>$request->descripcion_larga,
            'modalidad'=>$request->modalidad,
            'fecha_inicio'=>$request->fecha_inicio,
            'area_id'=>$request->area_id,
            'localidad_id'=>$request->localidad_id,'provincia_id'=>$request->provincia_id,
            'slug'=> str_slug($request->descripcion_corta),
            'destacar'=>$request->destacar,
            'urgente'=>$request->urgente]
        );

    }


    public function empresa()
    {
        return $this->belongsTo('App\Empresa');
    }

    public function recientes(){

        return Oferta::where('destacar',NULL)
                        ->where('deleted_at', NULL)
                        ->orderBy('urgente','1')
                        ->orderBy('id','DESC')
                        ->take(10)
                        ->get();
    }

    public function scopeOrdered($query)
    {
        return $query->where('destacar',NULL)
                     ->where('deleted_at', NULL)
                     ->orderBy('id','DESC')
                     ->take(10);
    }

    public function scopeUrgente($query)
    {
        return $query->orderBy('urgente','1');
    }


    public function destacado(){

        return Oferta::where('destacar','=',1)
                        ->where('deleted_at', NULL)
                        ->orderBy('id','DESC')
                        ->take(5)
                        ->get();

    }
}

app/Http/Controllers/OfertasController.php
<?php

namespace App\Http\Controllers;

use App\Area;
use App\Empresa;
use App\Localidad;
use App\Oferta;
use App\Provincia;
use Illuminate\Http\Request;

use App\Http\Requests\OfertaFormRequest;

class OfertasController extends Controller
{

    public function __construct()
    {
        $this->middleware(['administrador','admin']);

    }

    public function index(){

        $ofertas = Oferta::orderBy('destacar','1')->where('deleted_at', NULL)->orderBy('id','DESC')->get();

        return view('ofertas.index',compact('ofertas'));
    }

    public function create(){

        $areas = Area::lists('nombre', 'id');
        $empresas = Empresa::where('deleted_at','=', NULL)->lists('razon_social','id');


        $localidades = Localidad::lists('nombre','id');
        $provincias = Provincia::lists('nombre','id');


        $modalidades = $this->modalidades();

        return view('ofertas.create',compact('areas','empresas','modalidades','localidades','provincias'));
    }

    public function modalidades(){

        return [''=>'','Full Time'=>'Full Time','Part Time'=>'Part Time','Freelance'=>'Freelance','Contrato'=>'Contrato','Capacitación'=>'Capacitación'];

    }

    public function store(OfertaFormRequest $request){

        Oferta::cargar($request);

        flash('Nueva oferta laboral!','success');

        return redirect('admin/ofertas');
    }

    public function edit($id){
        $oferta = Oferta::find($id);

        $areas = Area::lists('nombre', 'id');
        $empresas = Empresa::where('deleted_at','=', NULL)->lists('razon_social','id');


        $localidades = Localidad::lists('nombre','id');
        $provincias = Provincia::lists('nombre','id');


        $modalidades = $this->modalidades();

        return view('ofertas.edit',compact('oferta','areas','empresas','provincias','modalidades','localidades'));

    }

    public function update(Request $request, $id){

        $oferta = Oferta::findOrFail($id);


        $oferta->fill($request->all());

        if(!isset($request->urgente)){
            $oferta->urgente = 0;
        }

        $oferta->slug = str_slug($request->descripcion_corta);
        $oferta->save();

        flash('Oferta editada!!');

        return redirect('admin/ofertas');

    }

    public function destacar($id){

        $oferta = Oferta::find($id);
        $oferta->destacar = 1;
        $oferta->save();

        flash('Oferta destacada!');

        return redirect('admin/ofertas');

    }

    public function noDestacar($id){

        $oferta = Oferta::find($id);
        $oferta->destacar = NULL;
        $oferta->save();

        flash('Oferta modificada!');

        return redirect('admin/ofertas');

    }

    public function destroy($id){

        $dt = new \DateTime();

        Oferta::where('id',$id)->update(['deleted_at'=>$dt->format('Y-m-d H:i:s')]);

        flash('Oferta deshabilitada!','danger');

        return redirect('admin/ofertas');
    }

    public function habilitar($id){

        Oferta::where('id',$id)->update(['deleted_at'=> NULL]);

        flash('Oferta habilitado!','success');

        return redirect('admin/postulantes');
    }

}

resources/views/ofertas/create.blade.php
@extends('template.admin_template')

@section('titulo')
    Nuevo Oferta Laboral
    <small>{{ $page_description or null }}</small>
@endsection

@section('ubicacion')
    <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Ofertas</a></li>
        <li class="active">Nueva</li>
    </ol>
@endsection

@section('content')
    <div class='row'>
        <div class='col-md-12s'>
            <!-- Box -->
            <div class="box box-info">
                <div class="box-header with-border">
                    @if ($errors->any())
                        <div class="alert alert-danger alert-dismissable">
                            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                            <h4><i class="icon fa fa-ban"></i> Atencion!</h4>

                            @foreach ( $errors->all() as $error )
                                <p>{{ $error }}</p>
                            @endforeach
                        </div>
                    @endif
                </div><!-- /.box-header -->
                <!-- form start -->
                {!! Form::open(array('route' => 'admin.ofertas.store', 'class' => 'form-horizontal')) !!}
                <div class="box-body">
                    <div class="form-group">
                        <label for="inputEmail3" class="col-sm-2 control-label">Empresa</label>
                        <div class="col-sm-6">
                            {!! Form::select('empresa_id', $empresas ,  null, ['class' => 'form-control col-sm-4'])!!}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="inputEmail3" class="col-sm-2 control-label">Titulo busqueda</label>
                        <div class="col-sm-8">
                            {!! Form::text('descripcion_corta', null, ['class' => 'form-control'])!!}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="inputEmail3" class="col-sm-2 control-label">Modalidad</label>
                        <div class="col-sm-6">
                            {!! Form::select('modalidad', $modalidades ,  null, ['class' => 'form-control col-sm-4'])!!}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="inputPassword3" class="col-sm-2 control-label">Cantidad de puestos</label>
                        <div class="col-sm-2">
                            {!! Form::text('puestos', null, ['class' => 'form-control'])!!}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="inputEmail3" class="col-sm-2 control-label">Provincia</label>
                        <div class="col-sm-6">
                            {!! Form::select('provincia_id', $provincias ,  null, ['class' => 'form-control col-sm-4'])!!}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="inputEmail3" class="col-sm-2 control-label">Localidad</label>
                        <div class="col-sm-6">
                            {!! Form::select('localidad_id', $localidades ,  null, ['class' => 'form-control col-sm-4'])!!}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="inputEmail3" class="col-sm-2 control-label">Area</label>
                        <div class="col-sm-6">
                            {!! Form::select('area_id', $areas ,  null, ['class' => 'form-control col-sm-4'])!!}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="inputPassword3" class="col-sm-2 control-label">Fecha Contratación</label>
                        <div class="col-sm-4">
                            {!! Form::text('fecha_inicio', null, ['class' => 'form-control','id'=>'datepicker2'])!!}
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="inputEmail3" class="col-sm-2 control-label">Urgente</label>
                        <div class="col-sm-8">
                            {!! Form::checkbox('urgente')!!}
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="inputEmail3" class="col-sm-2 control-label">Descripción del puesto</label>
                        <div class="col-sm-10">
                            {!! Form::textarea('descripcion_larga', null, ['class' => 'form-control','id'=>'editor1'])!!}
                        </div>
                    </div>
                    <div class="box-footer">
                        <button type="submit" class="btn btn-default">Cancelar</button>
                        <button type="submit" class="btn btn-info pull-right">Guardar</button>
                    </div><!-- /.box-footer -->
                    </form>
                </div>
            </div><!-- /.col -->

        </div><!-- /.row -->
        </div>

@endsection
@section('recursos')
    <link rel="stylesheet" href="//code.jquery.com/ui/1.11.4/themes/smoothness/jquery-ui.css">
    <script src="//code.jquery.com/ui/1.11.4/jquery-ui.js"></script>
    <script>
        $(function() {
            $.datepicker.regional['es'] = {
                closeText: 'Cerrar',
                prevText: '<Ant',
                nextText: 'Sig>',
                currentText: 'Hoy',
                monthNames: ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'],
                monthNamesShort: ['Ene','Feb','Mar','Abr', 'May','Jun','Jul','Ago','Sep', 'Oct','Nov','Dic'],
                dayNames: ['Domingo', 'Lunes', 'Martes', 'Miércoles', 'Jueves', 'Viernes', 'Sábado'],
                dayNamesShort: ['Dom','Lun','Mar','Mié','Juv','Vie','Sáb'],
                dayNamesMin: ['Do','Lu','Ma','Mi','Ju','Vi','Sá'],
                weekHeader: 'Sm',
                dateFormat: 'yy-mm-dd',
                firstDay: 1,
                isRTL: false,
                showMonthAfterYear: false,
                yearSuffix: ''
            };
            $.datepicker.setDefaults($.datepicker.regional['es']);
            $( "#datepicker2" ).datepicker({
                changeMonth: true,
                changeYear: true,
                yearRange: '1950:2016'
            });

        });
    </script>
    <script src="https://cdn.ckeditor.com/4.4.3/standard/ckeditor.js" type="text/javascript"></script>
    <script type="text/javascript">
                $(function () {
                    CKEDITOR.replace('editor1');
                    $(".textarea").wysihtml5();
                });
    </script>



@endsection

resources/views/ofertas/dashboard.blade.php
@extends('template.admin_template')



@section('content')

<div class="row">
    <div class="col-lg-3 col-xs-6">
        <!-- small box -->
        <div class="small-box bg-yellow">
            <div class="inner">
                <h3>{{ $postulantes }}</h3>
                <p>Usuarios registrados</p>
            </div>
            <div class="icon">
                <i class="ion ion-person-add"></i>
            </div>
            <a href="{{ url('admin/postulantes') }}" class="small-box-footer">Vér <i class="fa fa-arrow-circle-right"></i></a>
        </div>
    </div><!-- ./col -->
    <div class="col-lg-3 col-xs-6">
        <!-- small box -->
        <div class="small-box bg-green">
            <div class="inner">
                <h3>{{ $postulados }}</h3>
                <p>Postulados a ofertas</p>
            </div>
            <div class="icon">
                <i class="ion ion-stats-bars"></i>
            </div>
            <a href="{{ url('admin/postulantes') }}" class="small-box-footer">Vér <i class="fa fa-arrow-circle-right"></i></a>
        </div>
    </div><!-- ./col -->
    <div class="col-lg-3 col-xs-6">
        <!-- small box -->
        <div class="small-box bg-red">
            <div class="inner">
                <h3>{{ $ofertas }}</h3>
                <p>Ofertas</p>
            </div>
            <div class="icon">
                <i class="ion ion-pie-graph"></i>
            </div>
            <a href="{{ url('admin/ofertas') }}" class="small-box-footer">Vér <i class="fa fa-arrow-circle-right"></i></a>
        </div>
    </div><!-- ./col -->
</div>

@endsection

resources/views/ofertas/index.blade.php
<?php
use App\Empresa;
use App\Area;
?>
@extends('template.admin_template')

@section('titulo')
    Ofertas
    <small>{{ $page_description or null }}</small>
@endsection

@section('ubicacion')
    <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Ofertas</a></li>
        <li class="active">Grid</li>
    </ol>
@endsection

@section('content')
    <section class="content">
        <div class="row">
            <div class="col-md-2">
                <a href="{{ route('admin.ofertas.create') }}" class="btn btn-block btn-success">Nuevo</a>
            </div>
            <div class="col-xs-12">
                <div class="box">
                    <div class="box-header">
                        <h3 class="box-title"></h3>
                    </div><!-- /.box-header -->
                    <div id="bodyContenido" >
                        <table id="example2" class="table table-bordered table-hover">
                            <thead>
                            <tr>
                                <th>Titulo</th>
                                <th>Empresa</th>
                                <th>Area</th>
                                <th>Puestos</th>
                                <th>Fecha Inicio</th>
                                <th>Acciones</th>
                            </tr>
                            </thead>
                            <tbody>
                            @include('layouts.flash')
                            @foreach($ofertas as $row)
                                @if($row->destacar == 1)
                                <tr style="background-color: #f7bc60; ">
                                @else
                                    <tr>
                                @endif
                                    <td>{{ $row->descripcion_corta }}</td>
                                    <td>{{ Empresa::find($row->empresa_id)->razon_social }}</td>
                                    <td>{{ Area::find($row->area_id)->nombre }}</td>
                                    <td>{{ $row->puestos }}</td>
                                    <td>
                                        @if($row->fecha_inicio != NULL)
                                            {{ $row->fecha_inicio->format('d/m/Y') }}
                                        @endif
                                    </td>
                                    <td>
                                        <a href="{{ route('admin.ofertas.edit',$row->id) }}"  style="margin: 1px" class="btn btn-warning btn-sm "><i class="fa fa-fw fa-edit"></i></a>
                                        @if($row->deleted_at == NULL)
                                            @if($row->destacar == 0)
                                                <a href="{{ route('admin.ofertas.destacar',$row->id) }}" title="Destacar" style="margin: 1px" class="btn btn-info btn-sm"><i class="fa fa-fw fa-arrow-circle-up"></i></a>
                                            @else
                                                <a href="{{ route('admin.ofertas.nodestacar',$row->id) }}" title="No Destacar" style="margin: 1px" class="btn btn-success btn-sm"><i class="fa fa-fw fa-arrow-circle-down"></i></a>
                                            @endif
                                            <a href="{{ route('admin.ofertas.destroy',$row->id) }}" style="margin: 1px;" onclick="return confirm('Seguro que desde deshabilitar la oferta ?')" class="btn btn-danger btn-sm"><i class="fa fa-fw fa-remove"></i></a>
                                        @endif
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>

                        </table>
                    </div><!-- /.box-body -->
                </div><!-- /.box -->
            </div><!-- /.col -->
        </div><!-- /.row -->
    </section><!-- /.content -->
    @endsection
    @section('recursos')
            <!-- DATA TABES SCRIPT -->
    <script src="{{ asset('bower_components/admin-lte/plugins/datatables/jquery.dataTables.min.js') }}" type="text/javascript"></script>
    <script src="{{ asset('bower_components/admin-lte/plugins/datatables/dataTables.bootstrap.min.js') }}" type="text/javascript"></script>
    <script src="{{ asset('assets/js/sweetalert-dev.js') }}" type="text/javascript"></script>
    <script type="text/javascript">
        $(function () {
            $("#example1").DataTable();
            $('#example2').DataTable({
                "paging": false,
                "lengthChange": false,
                "searching": true,
                "ordering": false,
                "info": true,
                "autoWidth": false,
                "oLanguage": {
                    "sSearch": "Filtro: ",
                    "sInfoEmpty": 'No hay registros que mostrar ',
                    "sInfo": 'Mostrando _END_ filas.',
                }
            });
        });
    </script>

@endsection